Page MenuHomePhabricator

imagerecat.py still calls toolserver.org
Closed, ResolvedPublic

Description

https://toolserver.org/~daniel/WikiSense/CommonSense.php?%s is called by imagerecat.py. But toolserver.org is down since years now.

Event Timeline

Framawiki triaged this task as Low priority.May 19 2018, 4:58 PM
Framawiki created this task.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptMay 19 2018, 4:58 PM

Or better it is broken on this as the WikiSense project does not work anymore

Xqt added a comment.May 26 2018, 6:28 AM

There is one remaining action for this script is -onlyfilter to remove some categories. I propose to archive this script and move the remaining functionality to another script.

Xqt claimed this task.May 26 2018, 5:25 PM

Don't found a corresponding script in our framework dealing with image categories

Change 435661 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [WIP] Rewrite imagerecat.py

https://gerrit.wikimedia.org/r/435661

Vvjjkkii renamed this task from imagerecat.py still calls toolserver.org to gocaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed Xqt as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from gocaaaaaaa to imagerecat.py still calls toolserver.org.Jul 2 2018, 1:25 PM
CommunityTechBot assigned this task to Xqt.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
xSavitar moved this task from Backlog to Needs Review on the Pywikibot board.Nov 5 2018, 11:26 AM

@Dvorapa: Could you explain how this task is related to Tools and Technical-Tool-Request code bases?

The tool this script is calling was being available on Toolserver. Since Toolserver is down and noone restored the original tool in Toolforge or anywhere else, this is a request for a new tool in Toolforge. I'm unsure if I added the correct tags, please correct if I'm wrong

Change 551812 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [cleanup] Remove commonshelper parts

https://gerrit.wikimedia.org/r/551812

Change 551812 merged by jenkins-bot:
[pywikibot/core@master] [cleanup] Remove commonshelper parts

https://gerrit.wikimedia.org/r/551812

Xqt closed this task as Resolved.Dec 1 2019, 11:18 AM

Change 553843 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [cleanup] Remove unused deprecated filterParents function

https://gerrit.wikimedia.org/r/553843

Change 553843 merged by jenkins-bot:
[pywikibot/core@master] [cleanup] Remove unused deprecated filterParents function

https://gerrit.wikimedia.org/r/553843